IBM Support

Removal of Support for IBM JDK 6.0/6.2.6 with IBM WebSphere Application Server v8.5.5.13 Fix Pack Level on IBM i OS

Flashes (Alerts)


Abstract

Beginning with the WAS v8.5.5.13 Fix Pack level (Targeted GA for the 5th of February, 2018), the WebSphere Application Server v8.5 product will no longer support JDK v6.0/6.2.6 to be configured for WAS profiles, command & new profile defaults, and used for installation of the product. All WAS v8.5 profiles and defaults will need to be updated to JDK 7.0 or later before the 8.5.5.13 fix pack can be installed. JDK 7.0, 7.1, and 8.0 are supported on IBM i 7.1 and newer. Since JDK v7.0 is not supported on IBM i 6.1, the WAS 8.5.5.13 and later fix pack versions are not supported on IBM i 6.1.x. The 8.5.5.12 fix pack is the final fix pack version for IBM i 6.1.x OS.

Content

NOTE: The 8.5.5.12 fix pack is the final fix pack version for IBM i 6.1.x OS. The 8.5.5.13 fix pack cannot be installed on IBM i 6.1.x OS.

IMPORTANT!!! Before the WAS v8.5.5.13 fix pack can be installed, all WAS profiles as well as the command & new profile defaults will need to be changed to use JDK v7.0 or newer. You will need to ensure at least one of the JDK 7.0 or 8.0 JV1 Options (14, 15, 16, or 17) is installed. JV1 Options 16 & 17 also require WAS Fix Pack 8.5.5.9 or later to be installed.

During the WAS v8.5.5.13 installation process, a pre-requisite check will be performed to ensure JDK 6.0/6.2.6 is NOT being used by the product or any profile configured under the product. If JDK 6.0/6.2.6 is detected as being in use, the 8.5.5.13 fix pack installation will fail and informational messaging will be displayed by the Installation Manager product in its standard out and install logs. You can view the /tmp/_IBM_JDK6_EOS_NON_COMPLIANT_PROFILES_AND_COMMANDS.LOG file for more information as to why the pre-requisite check failed.

When installing the v8.5.5.13 fix pack via the IBM Web Administration for i console, you might see the following message (ZUI_54120) if one or more of your WAS profiles is configured to use JDK 6.0/6.2.6.



When installing the v8.5.5.13 fix pack via the Qshell command line, you might see the following message if one or more of your WAS profiles is configured to use JDK 6.0/6.2.6.

=====================================================================================


IBM recommends using JDK v8.0 as your default JDK version on your IBM i server. Information on how to download and install JDK v8.0 on the IBM i OS at IBM i 7.1 and later can be found in the following IBM Technical Document.
Support of Java Development Kit (JDK) 8.0 on the IBM i OS

IMPORTANT!!!

JDK 8.0 support is provided with 8.5.5.9 and later. If you wish to switch your WAS profiles to use JDK 8.0, you MUST have the WAS fix pack 8.5.5.9 or later currently installed before you will be able to specify the 1.8_64 or 1.8_32 sdkname values on the managesdk command.

Before the WAS v8.5.5.13 fix pack can be applied, all WAS profiles, command/new profile defaults will need to be changed to use JDK v7.0 or newer.

The following steps can be taken to complete this task.

NOTE: These steps assume the 57xxJV1 Option 17 LPP has already been successfully installed.

STRQSH

cd /QIBM/ProdData/WebSphere/AppServer/V85/<edition>/bin

./managesdk -setNewProfileDefault -sdkname 1.8_64

./managesdk -setCommandDefault -sdkname 1.8_64

For Standalone profiles...

./managesdk -enableProfileAll -sdkname 1.8_64 -enableServers [-user [user] -password [password]]

For a Deployment Manager and Federated profiles...

NOTE: If this is a WAS v8.5 ND federated environment. You will need to end the DMGR and upgrade the DMGR SDK version first.

./stopManager -profileName [dmgr]

./managesdk -enableProfile -profileName [dmgr] -sdkname 1.8_64 -enableServers [-user [user] -password [password]]

After upgrading the DMGR, start the DMGR and upgrade all profiles.

./startManager -profileName [dmgr]

./managesdk -enableProfileAll -sdkname 1.8_64 -enableServers [-user [user] -password [password]]

====================================================================================

More information on the WAS managesdk command and usage examples, please refer to the following IBM Technical Document.


How to use the 'managesdk' command with WebSphere Application Server (WAS) v8.0 and later on the IBM i

[{"Product":{"code":"SWG60","label":"IBM i"},"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Component":"WebSphere Application Server","Platform":[{"code":"PF012","label":"IBM i"}],"Version":"7.2;7.1;6.1.1;6.1.0","Edition":"All Editions;WAS v8.5.5","Line of Business":{"code":"LOB08","label":"Cognitive Systems"}},{"Product":{"code":"SSC5L9","label":"IBM i 7.2"},"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Component":" ","Platform":[{"code":"","label":""}],"Version":"","Edition":"","Line of Business":{"code":"","label":""}},{"Product":{"code":"SSC52E","label":"IBM i 7.1"},"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Component":" ","Platform":[{"code":"","label":""}],"Version":"","Edition":"","Line of Business":{"code":"","label":""}},{"Product":{"code":"SSC3X7","label":"IBM i 6.1"},"Business Unit":{"code":"BU054","label":"Systems w\/TPS"},"Component":" ","Platform":[{"code":"","label":""}],"Version":"","Edition":"","Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
09 April 2021

UID

nas8N1022417